local GameStateManager = require("libraries/GameStateManager") --loading GameStateManager moduel

local love = require('love')

local Dialove = require('libraries/Dialove') --load Dialove module

local dialogueTree = require('dialogue_tree')



local titlescreen_A = require("states.0A_Titlescreen.titlescreen_A")


canvas = love.graphics.newCanvas(love.graphics.getWidth(), love.graphics.getHeight())
canvas:setFilter('nearest', 'nearest')




function love.load()
    love.window.setTitle("X . ? . ? . ?")

    GameStateManager:setState(titlescreen_A) --draws first screen

    dialogManager = Dialove.init({
        font = love.graphics.newFont('fonts/press-start-2p/PressStart2P-Regular.ttf', 12),
        -- font = love.graphics.newFont('fonts/myc64.ttf', 11),
        padding = 10, --padding inbetween the dialog canvas + text
        margin = 10,  --yaxis padding from bottom of dialog canvas
        cornerRadius = 0,
        --numberOfLines = 3,
        typingVolume = 0.1,
        optionsSeparation = 5,


        -- tells dialogue manager how much space it has for text ( w /2 means window gets cut in half )
        viewportW = canvas:getWidth(),
        viewportH = canvas:getHeight()
    })

    love.graphics.setBackgroundColor(0, 0, 0)


    song = love.audio.newSource("songs/song1.wav", "stream")
end

function love.update(dt)
    GameStateManager:update(dt)
    dialogManager:update(dt) -- Update all dialogues
end

function love.draw()
    GameStateManager:draw()
    --   love.audio.play(song)
end

function love.keypressed(key, scancode, isrepeat)
    if key == 'escape' then
        love.event.quit()
    else
        GameStateManager:keypressed(key, scancode, isrepeat) -- Pass all parameters
    end
end
