local love = require('love')

--introstate_1 table
local prequel_B = {}

local GameStateManager = require("libraries/GameStateManager")


local threshold_A = require('states.01_Threshold.01_threshold_A') --load next state

local Dialove = require('libraries/Dialove')                      --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function prequel_B:enter()
    dialogManager:show({
        title = "????????",
        text = "But be warned: the truth is not kind, but it is absolute. Once revealed, it cannot be undone.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        title = "????????",
        text =
        "Four sigils mark the faces of the die, each representing an unseen force that guides your destiny. Choose the sigil that will reveal your fate with its roll.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
        options = {
            {
                'Sigil of Stone:Grounded and enduring', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(threshold_A)
                end
            end
            },
            {
                'Sigil of Fire:Destructive and illuminating', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(threshold_A)
                end
            end
            },
            {
                'Sigil of Water:Mutable and mysterious', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(threshold_A)
                end
            end
            },
            {
                'Sigil of Air:Ethereal and unpredictable', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(threshold_A)
                end
            end
            }
        }
    })
end

function prequel_B:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(threshold_A)
    end
end

function prequel_B:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function prequel_B:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return prequel_B
