local love = require('love')

--threshold_A table
local threshold_A = {}

local GameStateManager = require("libraries/GameStateManager")


local threshold_B = require('states.01_Threshold.01_threshold_B_objectChoices') --load prequel_B  ( next state )

local Dialove = require('libraries/Dialove')                                    --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function threshold_A:enter()
    dialogManager:show({
        title = "????????",
        text =
        "As the die comes to rest, your choice reverberates through the air, a soft chime that echoes like a distant bell. ",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        title = "????????",
        text =
        "The voice grows solemn: The path unfolds before you, but the choices you make will define what lies beyond",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        title = "????????",
        text =
        "Shadows shift, revealing an array of objects waiting to be chosen. Their shapes seem familiar yet strange, as though you’ve seen them in a dream.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
end

function threshold_A:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(threshold_B)
    end
end

function threshold_A:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function threshold_A:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return threshold_A
