local love = require('love')

--introstate_1 table
local threshold_B = {}

local GameStateManager = require("libraries/GameStateManager")


local arrival_A = require('states.02_Arrival.02_Arrival_A') --load next state

local Dialove = require('libraries/Dialove')                --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function threshold_B:enter()
    dialogManager:show({
        title = "????????",
        text =
        "The fortune teller gestures to various objects around the tent.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        title = "????????",
        text =
        "There is a heavy, carved box, an ancient book with worn pages, and a shimmering crystal suspended in mid-air. The air crackles with unseen energy.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        title = "????????",
        text =
        "These objects hold the key to your future. Which will you choose to focus upon? Each has its own message.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
        options = {
            {
                'The Crystal', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(arrival_A)
                end
            end
            },
            {
                'The Mirror', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(arrival_A)
                end
            end
            },
            {
                'The Cards', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(arrival_A)
                end
            end
            },
            {
                'The Bowl', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(arrival_A)
                end
            end
            }
        }
    })
end

function threshold_B:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(arrival_A)
    end
end

function threshold_B:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function threshold_B:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return threshold_B
