local love = require('love')

--arrival_A table
local arrival_A = {}

local GameStateManager = require("libraries/GameStateManager")


local arrival_B = require('states.02_Arrival.02_Arrival_B_starChoices') --load prequel_B  ( next state )

local Dialove = require('libraries/Dialove')                            --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function arrival_A:enter()
    dialogManager:show({
        text =
        "After the object is chosen, the tent's walls dissolve into an endless starry sky. Constellations shift and dance above, each forming and reforming into cryptic symbols.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        text =
        "The fortune teller's voice resonates through the vastness of the cosmos, guiding the participant's gaze.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
end

function arrival_A:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(arrival_B)
    end
end

function arrival_A:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function arrival_A:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return arrival_A
