local love = require('love')

--arrival B table
local arrival_B = {}

local GameStateManager = require("libraries/GameStateManager")

--local occult_A = require('states.03_Occult.03_Occult_A') --load next state
local esoteric_A = require('states.03_Esoteric.03_Esoteric_A') --load next state

local Dialove = require('libraries/Dialove')                   --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function arrival_B:enter()
    dialogManager:show({
        title = "???????????",
        text =
        "The stars hold the answers you seek. What patterns lie hidden among their light? ",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        title = "???????????",
        text =
        "Follow the path they lay out for you, seeker. Let the heavens reveal your truth. What would it be seeker?",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
        options = {
            {
                'Trace the brightest constellation', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(esoteric_A)
                end
            end
            },
            {
                'Seek the faintest star', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(esoteric_A)
                end
            end
            },
            {
                'Let the stars speak without my guidance', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(esoteric_A)
                end
            end
            },
            {
                'Option 4', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(esoteric_A)
                end
            end
            },
            {
                'Option 5', function()
                if not dialogManager:getActiveDialog() then
                    GameStateManager:setState(esoteric_A)
                end
            end
            },

        }
    })
end

function arrival_B:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(esoteric_A)
    end
end

function arrival_B:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function arrival_B:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return arrival_B
