local love = require('love')

--esoteric_A table
local esoteric_A = {}

local GameStateManager = require("libraries/GameStateManager")


local esoteric_B = require('states.03_Esoteric.03_Esoteric_B') --load esoteric_B  ( next state )

local Dialove = require('libraries/Dialove')                   --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function esoteric_A:enter()
    dialogManager:show({
        text =
        "The air grows heavy as the stars above dim and vanish. Shadows stretch and twist, converging into a shape that seems to watch you. ",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        text =
        "The fortune teller's voice becomes distant, like an echo from another plane.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        text =
        "You have walked far into the web of the unseen. The strands tighten, and the truth you seek is near. But truth demands its toll",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
end

function esoteric_A:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(esoteric_B)
    end
end

function esoteric_A:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")



    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function esoteric_A:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return esoteric_A
