local love = require('love')

--esoteric_B table
local esoteric_B = {}

local GameStateManager = require("libraries/GameStateManager")


local esoteric_C = require('states.03_Esoteric.03_Esoteric_C') --load next state

local Dialove = require('libraries/Dialove')                   --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function esoteric_B:enter()
    dialogManager:show({
        title = "????????",
        text =
        "A voice, ancient and resonant, speaks—not to you, but through you, as though you were the medium for its words.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
    dialogManager:push({
        title = "????????",
        text =
        "What is heavier, the stone you carry or the shadow you fear?",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
    dialogManager:push({
        title = "????????",
        text =
        "What lies at the center of the circle : void or infinite possibility?",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
    dialogManager:push({
        title = "????????",
        text =
        "When the mirror cracks, will you see your reflection or the truth beyond it?",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
end

function esoteric_B:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(esoteric_C)
    end
end

function esoteric_B:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function esoteric_B:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return esoteric_B
