local love = require('love')

--esoteric_C table
local esoteric_C = {}

local GameStateManager = require("libraries/GameStateManager")


local esoteric_D = require('states.03_Esoteric.03_Esoteric_D') --load next state

local Dialove = require('libraries/Dialove')                   --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function esoteric_C:enter()
    dialogManager:show({
        text =
        "E_C 11111111",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        title = "????????",
        text =
        "E_C 222222222",

        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
    dialogManager:push({
        title = "????????",
        text =
        "E_C 333333333333333333",

        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
end

function esoteric_C:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(esoteric_D)
    end
end

function esoteric_C:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function esoteric_C:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return esoteric_C
