local love = require('love')

--esoteric_D table
local esoteric_D = {}

local GameStateManager = require("libraries/GameStateManager")


local revelation_A = require('states.04_Revelation.04_Revelation_A') --load next state

local Dialove = require('libraries/Dialove')                         --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function esoteric_D:enter()
    dialogManager:show({
        text =
        "The tent begins to dissolve...... ",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        text =
        "Walls unraveling like threads, the ground fading into an infinite void, a liminal space, leaving you standing on the precipice of truth",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
    dialogManager:push({
        title = "????????",
        text =
        "The voice returns, quieter now: 'It waits.'",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
end

function esoteric_D:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(revelation_A)
    end
end

function esoteric_D:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function esoteric_D:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return esoteric_D
