local love = require('love')

--revelation_A table
local revelation_A = {}

local GameStateManager = require("libraries/GameStateManager")


local revelation_B = require('states.04_Revelation.04_Revelation_B') --load  next state

local Dialove = require('libraries/Dialove')                         --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function revelation_A:enter()
    dialogManager:show({
        text =
        "The fortune-teller steps back, her form flickering like a dying flame. Her voice echoes, no longer her own but something far older, far greater ",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        title = "????????",
        text =
        "Truth is not given; it is earned. Yet even the purest seeker finds only fragments of what they desire.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        text =
        "Listen, seeker. This is your truth",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
end

function revelation_A:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(revelation_B)
    end
end

function revelation_A:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function revelation_A:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return revelation_A
