local love = require('love')

--revelation_B table
local revelation_B = {}

local GameStateManager = require("libraries/GameStateManager")


local revelation_C = require('states.04_Revelation.04_Revelation_C') --load next state

local Dialove = require('libraries/Dialove')                         --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function revelation_B:enter()
    dialogManager:show({
        title = "????????",
        text =
        "The candle you once saw burns brightly before you, but its wax melts at an unnatural speed. When the flame dies, you are left in utter darkness. ",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        title = "????????",
        text =
        "Yet, faintly, a voice whispers: Even the briefest light casts long shadows.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
end

function revelation_B:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(revelation_C)
    end
end

function revelation_B:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function revelation_B:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return revelation_B
