local love = require('love')

--revelation_C table
local revelation_C = {}

local GameStateManager = require("libraries/GameStateManager")


local aftermath_A = require('states.05_Aftermath.05_Aftermath_A') --load next state

local Dialove = require('libraries/Dialove')                      --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function revelation_C:enter()
    dialogManager:show({
        text =
        "The object before you dissolves, its purpose fulfilled.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })

    dialogManager:push({
        title = "????????",
        text =
        "Yet its essence lingers, woven into the fabric of your journey. What you carry now is not the object, but the truth it revealed.",
        image = love.graphics.newImage('assets/face_100pxby100px.png'),
        background = {
            color = { 0.2, 0.2, 0.2 },
        },

        textColor = { 1, 1, 1 },
    })
end

function revelation_C:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(aftermath_A)
    end
end

function revelation_C:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function revelation_C:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return revelation_C
