local love = require('love')

--aftermath_A table
local aftermath_A = {}

local GameStateManager = require("libraries/GameStateManager")


local aftermath_B = require('states.05_Aftermath.05_Aftermath_B') --load  next state

local Dialove = require('libraries/Dialove')                      --load Dialove module
local dialogueTree = require('dialogue_tree')


--scene try
local scene = love.graphics.newImage('assets/scene/face_320by240.png')

--random number generator
math.randomseed(os.time())



function aftermath_A:enter()
    dialogManager:show({
        text =
        "Fate has spoken, yet the echoes of its words linger. Perhaps, seeker, you already know what they mean",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
    dialogManager:push({
        text =
        "The world shifts, and you find yourself standing at the edge of an unseen horizon. A single step forward feels as though it will change everything. And so, you take it.",
        background = {
            color = { 0.2, 0.2, 0.2 },
        },
        textColor = { 1, 1, 1 },

    })
end

function aftermath_A:update(dt)
    if not dialogManager:getActiveDialog() then
        GameStateManager:setState(aftermath_B)
    end
end

function aftermath_A:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())


    --  love.graphics.draw(scene, 160, 30, 0, 2, 2)
    love.graphics.draw(scene, 160, 30, 0, 1, 1)

    scene:setFilter("nearest", "nearest")


    -- love.graphics.draw(scene, 250, 100, 0, 2, 2)
end

function aftermath_A:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop()
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return aftermath_A
