local love = require('love')


--endscreen_1 table
local endscreen = {}

local GameStateManager = require("libraries/GameStateManager")



local Dialove = require('libraries/Dialove') --load Dialove module
local dialogueTree = require('dialogue_tree')


--endscreen try
local endscene = love.graphics.newImage('assets/endings_pngs/endscene_320x240.jpeg')

--random number generator
math.randomseed(os.time())


function endscreen:enter()
    dialogManager:show({

        background = {
            color = { 0.2, 0.2, 0.2 }
        },
        textColor = { 1, 1, 1 }


    })
end

function endscreen:update(dt)

end

function endscreen:draw()
    -- Set the canvas for the dialog
    love.graphics.setCanvas { canvas, stencil = true }
    love.graphics.clear()
    dialogManager:draw()
    love.graphics.setCanvas()
    love.graphics.draw(canvas, 0, 0, 0, love.graphics.getWidth() / canvas:getWidth(),
        love.graphics.getHeight() / canvas:getHeight())



    love.graphics.draw(endscene, 0, 0, 0, 2, 2)
    endscene:setFilter("nearest", "nearest")
end

function endscreen:keypressed(key)
    if key == "space" or key == "return" then
        if not dialogManager:getActiveDialog() then
            dialogManager:complete()
        end
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    elseif key == 's' then
        love.load()
    end
end

return endscreen
