local love = require('love')


local titlescreen_A = {} --titlescreen_A table

local GameStateManager = require("libraries/GameStateManager")
local prequel_A = require("states.00_Prequel.00_prequel_A") --load prequel_A ( next state )


local Dialove = require('libraries/Dialove') --load Dialove module
local dialogueTree = require('dialogue_tree')

local font = love.graphics.newFont('fonts/myc64.ttf', 16)                        --loading  font

local scene = love.graphics.newImage('assets/title_pngs/titletry_320x240#4.png') --loading scene image



--random number generator
math.randomseed(os.time())



function titlescreen_A:enter()

end

function titlescreen_A:update(dt)

end

function titlescreen_A:draw()
    love.graphics.draw(scene, 0, 0, 0, 2, 2) -- Draw the scene image at coordinates (0, 0)

    scene:setFilter("nearest", "nearest")


    local text = love.graphics.newText(font, "PRESS A TO ENTER")
    love.graphics.draw(text, 320, 240) -- Draw text at coordinates (10, 10)
end

function titlescreen_A:keypressed(key)
    if key == "space" then
        dialogManager:complete()
    elseif key == "return" then
        dialogManager:pop() --goes to next dialog
    elseif key == "a" then
        GameStateManager:setState(prequel_A)
    elseif key == 'down' then
        dialogManager:changeOption(1)  -- next one
    elseif key == 'up' then
        dialogManager:changeOption(-1) -- previous one
    end
end

return titlescreen_A
